White-label an App Audit report with your branding (Studio) or switch it back, and set its label (free).
curl --request PATCH \
--url https://api.appgoat.ai/v1/audits/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"white_label": true,
"label": "<string>"
}
'const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({white_label: true, label: '<string>'})
};
fetch('https://api.appgoat.ai/v1/audits/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.appgoat.ai/v1/audits/{id}"
payload = {
"white_label": True,
"label": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "aud_3fK9aQ2mXc81LpRt",
"slug": "<string>",
"url": "<string>",
"status": "queued",
"store": "apple",
"app_id": "<string>",
"country": "<string>",
"mode": "full",
"title": "<string>",
"icon_url": "<string>",
"score": 123,
"white_label": true,
"branding": {
"brand_name": "<string>",
"logo_url": "<string>",
"accent_color": "#1f6feb",
"cta_url": "<string>",
"cta_text": "<string>",
"footer": "<string>",
"powered_by": true
},
"label": "<string>",
"report": {
"score": 50,
"headline": "<string>",
"summary": "<string>",
"sections": [
{
"section": "<string>",
"title": "<string>",
"body": "<string>",
"finding_ids": [
"<string>"
]
}
],
"actions": [
{
"title": "<string>",
"why": "<string>",
"how": "<string>",
"impact": "high",
"effort": "low",
"finding_ids": [
"<string>"
],
"playbook": "<string>"
}
],
"metadata": [
{
"field": "title",
"current": "<string>",
"suggested": "<string>",
"chars": 123,
"limit": 123,
"rationale": "<string>"
}
],
"findings": [
{
"id": "<string>",
"type": "striking_distance",
"section": "metadata",
"severity": "high",
"title": "#14 for \"habit tracker adhd\" (not in the title or subtitle)",
"evidence": {},
"fix": "<string>",
"playbook": "<string>"
}
],
"narrative": "opus",
"model": "<string>",
"generated_at": "2023-11-07T05:31:56Z"
},
"findings": [
{
"id": "<string>",
"type": "striking_distance",
"section": "metadata",
"severity": "high",
"title": "#14 for \"habit tracker adhd\" (not in the title or subtitle)",
"evidence": {},
"fix": "<string>",
"playbook": "<string>"
}
],
"facts": {},
"credits_charged": 123,
"free": true,
"error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
},
"meta": {
"credits_used": 123,
"credits_remaining": 123,
"request_id": "<string>",
"freshness": {
"fetched_at": "2023-11-07T05:31:56Z",
"age_seconds": 123,
"stale": true,
"refreshing": true,
"job_id": "<string>"
},
"next_cursor": "<string>",
"store": "apple",
"warnings": [
"<string>"
]
}
}{
"error": {
"code": "invalid_param",
"message": "limit must be ≤ 100",
"hint": "Fix the parameter and retry.",
"docs": "https://appgoat.ai/docs/errors#invalid_param",
"param": "limit"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"hint": "<string>",
"docs": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"hint": "<string>",
"docs": "<string>",
"param": "<string>"
}
}Audits
Update audit
white_label: true re-applies your current branding (use it after changing the branding), false shows the standard AppGoat report. 402 plan_limit for white_label on plans without white-label audits.
PATCH
/
audits
/
{id}
White-label an App Audit report with your branding (Studio) or switch it back, and set its label (free).
curl --request PATCH \
--url https://api.appgoat.ai/v1/audits/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"white_label": true,
"label": "<string>"
}
'const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({white_label: true, label: '<string>'})
};
fetch('https://api.appgoat.ai/v1/audits/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.appgoat.ai/v1/audits/{id}"
payload = {
"white_label": True,
"label": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "aud_3fK9aQ2mXc81LpRt",
"slug": "<string>",
"url": "<string>",
"status": "queued",
"store": "apple",
"app_id": "<string>",
"country": "<string>",
"mode": "full",
"title": "<string>",
"icon_url": "<string>",
"score": 123,
"white_label": true,
"branding": {
"brand_name": "<string>",
"logo_url": "<string>",
"accent_color": "#1f6feb",
"cta_url": "<string>",
"cta_text": "<string>",
"footer": "<string>",
"powered_by": true
},
"label": "<string>",
"report": {
"score": 50,
"headline": "<string>",
"summary": "<string>",
"sections": [
{
"section": "<string>",
"title": "<string>",
"body": "<string>",
"finding_ids": [
"<string>"
]
}
],
"actions": [
{
"title": "<string>",
"why": "<string>",
"how": "<string>",
"impact": "high",
"effort": "low",
"finding_ids": [
"<string>"
],
"playbook": "<string>"
}
],
"metadata": [
{
"field": "title",
"current": "<string>",
"suggested": "<string>",
"chars": 123,
"limit": 123,
"rationale": "<string>"
}
],
"findings": [
{
"id": "<string>",
"type": "striking_distance",
"section": "metadata",
"severity": "high",
"title": "#14 for \"habit tracker adhd\" (not in the title or subtitle)",
"evidence": {},
"fix": "<string>",
"playbook": "<string>"
}
],
"narrative": "opus",
"model": "<string>",
"generated_at": "2023-11-07T05:31:56Z"
},
"findings": [
{
"id": "<string>",
"type": "striking_distance",
"section": "metadata",
"severity": "high",
"title": "#14 for \"habit tracker adhd\" (not in the title or subtitle)",
"evidence": {},
"fix": "<string>",
"playbook": "<string>"
}
],
"facts": {},
"credits_charged": 123,
"free": true,
"error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
},
"meta": {
"credits_used": 123,
"credits_remaining": 123,
"request_id": "<string>",
"freshness": {
"fetched_at": "2023-11-07T05:31:56Z",
"age_seconds": 123,
"stale": true,
"refreshing": true,
"job_id": "<string>"
},
"next_cursor": "<string>",
"store": "apple",
"warnings": [
"<string>"
]
}
}{
"error": {
"code": "invalid_param",
"message": "limit must be ≤ 100",
"hint": "Fix the parameter and retry.",
"docs": "https://appgoat.ai/docs/errors#invalid_param",
"param": "limit"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"hint": "<string>",
"docs": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "invalid_param",
"message": "<string>",
"hint": "<string>",
"docs": "<string>",
"param": "<string>"
}
}Authorizations
Create a key at https://dash.appgoat.ai.
Path Parameters
Example:
"aud_3fK9aQ2mXc81LpRt"